Parameters: 
  DatabaseName: 
    Type: String
    Description: 'Please provide the database name'
  MasterUser: 
    Type: String
    Description: 'Please provide the master user name'
  MasterPass: 
    Type: String
    Description: 'Please provide the master user password'
Resources:
  myDevCluster:
    Type: 'AWS::Redshift::Cluster'
    Properties: {
      DBName: !Ref 'DatabaseName',
      MasterUsername: !Ref 'MasterUser',
      MasterUserPassword: !Ref 'MasterPass',
      NodeType: 'dc1.large',
      ClusterType: 'single-node'
        }